Get a list of vouchers
This endpoint allows you to get a paginated list of vouchers. It is possible to set query parameters to filter the results.
A Voucher belongs to a Voucher Group and is uniquely identified by a code. It can be linked to multiple tokens (idtags) and appUsers.
When a driver starts a session at a location, the system checks:
If the driver’s token is linked to a voucher, or
If the driver’s appUser (linked to that token) is linked to a voucher.
If either is true and the voucher’s group is associated with the location, the voucher is applied — potentially affecting pricing or granting access.
Query Parameters
Creation date.
Start date for filtering by creation date. When set, filter sort_by defaults to createdAt.
End date for filtering by creation date. When set, filter sort_by defaults to createdAt.
Last update date.
Start date for filtering by last update date. When set, filter sort_by defaults to updatedAt.
End date for filtering by last update date. When set, filter sort_by defaults to updatedAt.
Filter the total amount of items returned.
x >= 1The cursor to start fetching records after (forward pagination).
"My0xMDAw"
The cursor to start fetching records before (backward pagination).
"Ny0xMDAw"
Which property to sort by. When used with createdAt* default is createdAt. When used with updatedAt* default is updatedAt.
id, name, createdAt, updatedAt Sort direction. Defaults to asc.
desc, asc Search across item names and IDs.